org.apache.tinkerpop.gremlin.process.traversal.step.map

## Class MatchTest.Traversals

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.map.MatchTest
      - - org.apache.tinkerpop.gremlin.process.traversal.step.map.MatchTest.Traversals

- Direct Known Subclasses:
    MatchTest.CountMatchTraversals, MatchTest.GreedyMatchTraversals
  Enclosing class:
    MatchTest

      public abstract static class MatchTest.Traversals
      extends MatchTest

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.map.MatchTest

      `MatchTest.CountMatchTraversals, MatchTest.GreedyMatchTraversals, MatchTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Traversals()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Traversal<Vertex,Map<String,Object>>` | `get_g_V_asXaX_out_asXbX_matchXa_out_count_c__b_in_count_cX()`
    `Traversal<Vertex,Map<String,Object>>` | `get_g_V_asXaX_out_asXbX_matchXa_out_count_c__orXa_knows_b__b_in_count_c__and__c_isXgtX2XXXX()`
    `Traversal<Vertex,Long>` | `get_g_V_hasLabelXsongsX_matchXa_name_b__a_performances_cX_selectXb_cX_count()`
    `Traversal<Vertex,Map<String,Vertex>>` | `get_g_V_matchXa__a_both_b__b_both_cX_dedupXa_bX()`
    `Traversal<Vertex,Map<String,Object>>` | `get_g_V_matchXa__a_out_b__notXa_created_bXX()`
    `Traversal<Vertex,Map<String,Vertex>>` | `get_g_V_matchXa_0sungBy_b__a_0sungBy_c__b_writtenBy_d__c_writtenBy_e__d_hasXname_George_HarisonX__e_hasXname_Bob_MarleyXX()`
    `Traversal<Vertex,Map<String,Vertex>>` | `get_g_V_matchXa_0sungBy_b__a_0writtenBy_c__b_writtenBy_d__c_sungBy_d__d_hasXname_GarciaXX()`
    `Traversal<Vertex,Map<String,Vertex>>` | `get_g_V_matchXa_0sungBy_b__a_0writtenBy_c__b_writtenBy_dX_whereXc_sungBy_dX_whereXd_hasXname_GarciaXX()`
    `Traversal<Vertex,Map<String,Vertex>>` | `get_g_V_matchXa_both_b__b_both_cX_dedupXa_bX_byXlabelX()`
    `Traversal<Vertex,Map<String,Vertex>>` | `get_g_V_matchXa_created_b__a_repeatXoutX_timesX2XX_selectXa_bX()`
    `Traversal<Vertex,Map<String,Vertex>>` | `get_g_V_matchXa_created_b__b_0created_aX()`
    `Traversal<Vertex,Map<String,Vertex>>` | `get_g_V_matchXa_created_b__b_0created_cX_whereXa_neq_cX_selectXa_cX()`
    `Traversal<Vertex,Map<String,String>>` | `get_g_V_matchXa_created_b__c_created_bX_selectXa_b_cX_byXnameX()`
    `Traversal<Vertex,Map<String,String>>` | `get_g_V_matchXa_created_lop_b__b_0created_29_c__c_whereXrepeatXoutX_timesX2XXX()`
    `Traversal<Vertex,Map<String,String>>` | `get_g_V_matchXa_created_lop_b__b_0created_29_cX_whereXc_repeatXoutX_timesX2XX_selectXa_b_cX()`
    `Traversal<Vertex,Long>` | `get_g_V_matchXa_followedBy_count_isXgtX10XX_b__a_0followedBy_count_isXgtX10XX_bX_count()`
    `Traversal<Vertex,Map<String,Vertex>>` | `get_g_V_matchXa_hasXname_GarciaX__a_0writtenBy_b__a_0sungBy_bX()`
    `Traversal<Vertex,Map<String,Vertex>>` | `get_g_V_matchXa_hasXname_GarciaX__a_0writtenBy_b__b_followedBy_c__c_writtenBy_d__whereXd_neqXaXXX()`
    `Traversal<Vertex,String>` | `get_g_V_matchXa_hasXsong_name_sunshineX__a_mapX0followedBy_weight_meanX_b__a_0followedBy_c__c_filterXweight_whereXgteXbXXX_outV_dX_selectXdX_byXnameX()`
    `Traversal<Vertex,Map<String,Vertex>>` | `get_g_V_matchXa_knows_b__a_created_cX()`
    `Traversal<Vertex,Map<String,Object>>` | `get_g_V_matchXa_knows_b__andXa_created_c__b_created_c__andXb_created_count_d__a_knows_count_dXXX()`
    `Traversal<Vertex,String>` | `get_g_V_matchXa_knows_b__b_created_c__a_created_cX_dedupXa_b_cX_selectXaX_byXnameX()`
    `Traversal<Vertex,Map<String,Vertex>>` | `get_g_V_matchXa_knows_b__b_created_cX()`
    `Traversal<Vertex,Map<String,Vertex>>` | `get_g_V_matchXa_knows_b__b_created_lop__b_matchXb_created_d__d_0created_cX_selectXcX_cX_selectXa_b_cX()`
    `Traversal<Vertex,Map<String,Vertex>>` | `get_g_V_matchXa_knows_b__c_knows_bX()`
    `Traversal<Vertex,Long>` | `get_g_V_matchXa_knows_count_bX_selectXbX()`
    `Traversal<Vertex,Object>` | `get_g_V_matchXa_out_bX_selectXb_idX()`
    `Traversal<Vertex,Map<String,Vertex>>` | `get_g_V_matchXa_out_bX()`
    `Traversal<Vertex,Map<String,String>>` | `get_g_V_matchXa_outEXcreatedX_order_byXweight_descX_limitX1X_inV_b__b_hasXlang_javaXX_selectXa_bX_byXnameX()`
    `Traversal<Vertex,Map<String,Object>>` | `get_g_V_matchXa_outXknowsX_name_bX_identity()`
    `Traversal<Vertex,Map<String,Object>>` | `get_g_V_matchXa_whereXa_neqXcXX__a_created_b__orXa_knows_vadas__a_0knows_and_a_hasXlabel_personXX__b_0created_c__b_0created_count_isXgtX1XXX_selectXa_b_cX_byXidX()`
    `Traversal<Vertex,Map<String,Vertex>>` | `get_g_V_matchXb_created_c__a_knows_bX()`
    `Traversal<Vertex,Map<String,Vertex>>` | `get_g_V_matchXd_0knows_a__d_hasXname_vadasX__a_knows_b__b_created_cX()`
    `Traversal<Vertex,Map<String,Object>>` | `get_g_V_matchXwhereXandXa_created_b__b_0created_count_isXeqX3XXXX__a_both_b__whereXb_inXX()`
    `Traversal<Vertex,String>` | `get_g_V_notXmatchXa_age_b__a_name_cX_whereXb_eqXcXX_selectXaXX_name()`
    `Traversal<Vertex,String>` | `get_g_V_out_asXcX_matchXb_knows_a__c_created_eX_selectXcX()`
    `Traversal<Vertex,String>` | `get_g_V_out_out_matchXa_0created_b__b_0knows_cX_selectXcX_outXcreatedX_name()`
    `Traversal<Vertex,Map<String,Object>>` | `get_g_V_valueMap_matchXa_selectXnameX_bX()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.map.MatchTest

      `g_V_asXaX_out_asXbX_matchXa_out_count_c__b_in_count_cX, g_V_asXaX_out_asXbX_matchXa_out_count_c__orXa_knows_b__b_in_count_c__and__c_isXgtX2XXXX, g_V_hasLabelXsongsX_matchXa_name_b__a_performances_cX_selectXb_cX_count, g_V_matchXa__a_both_b__b_both_cX_dedupXa_bX, g_V_matchXa__a_out_b__notXa_created_bXX, g_V_matchXa_0sungBy_b__a_0sungBy_c__b_writtenBy_d__c_writtenBy_e__d_hasXname_George_HarisonX__e_hasXname_Bob_MarleyXX, g_V_matchXa_0sungBy_b__a_0writtenBy_c__b_writtenBy_d__c_sungBy_d__d_hasXname_GarciaXX, g_V_matchXa_0sungBy_b__a_0writtenBy_c__b_writtenBy_dX_whereXc_sungBy_dX_whereXd_hasXname_GarciaXX, g_V_matchXa_both_b__b_both_cX_dedupXa_bX_byXlabelX, g_V_matchXa_created_b__a_repeatXoutX_timesX2XX_selectXa_bX, g_V_matchXa_created_b__b_0created_aX, g_V_matchXa_created_b__b_0created_cX_whereXa_neq_cX_selectXa_cX, g_V_matchXa_created_b__c_created_bX_selectXa_b_cX_byXnameX, g_V_matchXa_created_lop_b__b_0created_29_c__c_whereXrepeatXoutX_timesX2XXX, g_V_matchXa_created_lop_b__b_0created_29_cX_whereXc_repeatXoutX_timesX2XX_selectXa_b_cX, g_V_matchXa_followedBy_count_isXgtX10XX_b__a_0followedBy_count_isXgtX10XX_bX_count, g_V_matchXa_hasXname_GarciaX__a_0writtenBy_b__a_0sungBy_bX, g_V_matchXa_hasXname_GarciaX__a_0writtenBy_b__b_followedBy_c__c_writtenBy_d__whereXd_neqXaXXX, g_V_matchXa_hasXsong_name_sunshineX__a_mapX0followedBy_weight_meanX_b__a_0followedBy_c__c_filterXweight_whereXgteXbXXX_outV_dX_selectXdX_byXnameX, g_V_matchXa_knows_b__a_created_cX, g_V_matchXa_knows_b__andXa_created_c__b_created_c__andXb_created_count_d__a_knows_count_dXXX, g_V_matchXa_knows_b__b_created_c__a_created_cX_dedupXa_b_cX_selectXaX_byXnameX, g_V_matchXa_knows_b__b_created_cX, g_V_matchXa_knows_b__b_created_lop__b_matchXb_created_d__d_0created_cX_selectXcX_cX_selectXa_b_cX, g_V_matchXa_knows_b__c_knows_bX, g_V_matchXa_knows_count_bX_selectXbX, g_V_matchXa_out_bX_selectXb_idX, g_V_matchXa_out_bX, g_V_matchXa_outEXcreatedX_order_byXweight_descX_limitX1X_inV_b__b_hasXlang_javaXX_selectXa_bX_byXnameX, g_V_matchXa_outXknowsX_name_bX_identity, g_V_matchXa_whereXa_neqXcXX__a_created_b__orXa_knows_vadas__a_0knows_and_a_hasXlabel_personXX__b_0created_c__b_0created_count_isXgtX1XXX_selectXa_b_cX_byXidX, g_V_matchXb_created_c__a_knows_bX, g_V_matchXd_0knows_a__d_hasXname_vadasX__a_knows_b__b_created_cX, g_V_matchXwhereXandXa_created_b__b_0created_count_isXeqX3XXXX__a_both_b__whereXb_inXX, g_V_notXmatchXa_age_b__a_name_cX_whereXb_eqXcXX_selectXaXX_name, g_V_out_asXcX_matchXb_knows_a__c_created_eX_selectXcX, g_V_out_out_matchXa_0created_b__b_0knows_cX_selectXcX_outXcreatedX_name, g_V_valueMap_matchXa_selectXnameX_bX`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Traversals

          public Traversals()

  - ### Method Detail

    - #### get_g_V_valueMap_matchXa_selectXnameX_bX

          public Traversal<Vertex,Map<String,Object>> get_g_V_valueMap_matchXa_selectXnameX_bX()

      Specified by:
        `get_g_V_valueMap_matchXa_selectXnameX_bX` in class `MatchTest`

    - #### get_g_V_matchXa_outXknowsX_name_bX_identity

          public Traversal<Vertex,Map<String,Object>> get_g_V_matchXa_outXknowsX_name_bX_identity()

      Specified by:
        `get_g_V_matchXa_outXknowsX_name_bX_identity` in class `MatchTest`

    - #### get_g_V_matchXa_out_bX

          public Traversal<Vertex,Map<String,Vertex>> get_g_V_matchXa_out_bX()

      Specified by:
        `get_g_V_matchXa_out_bX` in class `MatchTest`

    - #### get_g_V_matchXa_out_bX_selectXb_idX

          public Traversal<Vertex,Object> get_g_V_matchXa_out_bX_selectXb_idX()

      Specified by:
        `get_g_V_matchXa_out_bX_selectXb_idX` in class `MatchTest`

    - #### get_g_V_matchXa_knows_b__b_created_cX

          public Traversal<Vertex,Map<String,Vertex>> get_g_V_matchXa_knows_b__b_created_cX()

      Specified by:
        `get_g_V_matchXa_knows_b__b_created_cX` in class `MatchTest`

    - #### get_g_V_matchXb_created_c__a_knows_bX

          public Traversal<Vertex,Map<String,Vertex>> get_g_V_matchXb_created_c__a_knows_bX()

      Specified by:
        `get_g_V_matchXb_created_c__a_knows_bX` in class `MatchTest`

    - #### get_g_V_matchXa_knows_b__a_created_cX

          public Traversal<Vertex,Map<String,Vertex>> get_g_V_matchXa_knows_b__a_created_cX()

      Specified by:
        `get_g_V_matchXa_knows_b__a_created_cX` in class `MatchTest`

    - #### get_g_V_matchXd_0knows_a__d_hasXname_vadasX__a_knows_b__b_created_cX

          public Traversal<Vertex,Map<String,Vertex>> get_g_V_matchXd_0knows_a__d_hasXname_vadasX__a_knows_b__b_created_cX()

      Specified by:
        `get_g_V_matchXd_0knows_a__d_hasXname_vadasX__a_knows_b__b_created_cX` in class `MatchTest`

    - #### get_g_V_matchXa_created_b__a_repeatXoutX_timesX2XX_selectXa_bX

          public Traversal<Vertex,Map<String,Vertex>> get_g_V_matchXa_created_b__a_repeatXoutX_timesX2XX_selectXa_bX()

      Specified by:
        `get_g_V_matchXa_created_b__a_repeatXoutX_timesX2XX_selectXa_bX` in class `MatchTest`

    - #### get_g_V_matchXa_created_lop_b__b_0created_29_c__c_whereXrepeatXoutX_timesX2XXX

          public Traversal<Vertex,Map<String,String>> get_g_V_matchXa_created_lop_b__b_0created_29_c__c_whereXrepeatXoutX_timesX2XXX()

      Specified by:
        `get_g_V_matchXa_created_lop_b__b_0created_29_c__c_whereXrepeatXoutX_timesX2XXX` in class `MatchTest`

    - #### get_g_V_matchXa_created_lop_b__b_0created_29_cX_whereXc_repeatXoutX_timesX2XX_selectXa_b_cX

          public Traversal<Vertex,Map<String,String>> get_g_V_matchXa_created_lop_b__b_0created_29_cX_whereXc_repeatXoutX_timesX2XX_selectXa_b_cX()

      Specified by:
        `get_g_V_matchXa_created_lop_b__b_0created_29_cX_whereXc_repeatXoutX_timesX2XX_selectXa_b_cX` in class `MatchTest`

    - #### get_g_V_out_out_matchXa_0created_b__b_0knows_cX_selectXcX_outXcreatedX_name

          public Traversal<Vertex,String> get_g_V_out_out_matchXa_0created_b__b_0knows_cX_selectXcX_outXcreatedX_name()

      Specified by:
        `get_g_V_out_out_matchXa_0created_b__b_0knows_cX_selectXcX_outXcreatedX_name` in class `MatchTest`

    - #### get_g_V_matchXa_created_b__b_0created_aX

          public Traversal<Vertex,Map<String,Vertex>> get_g_V_matchXa_created_b__b_0created_aX()

      Specified by:
        `get_g_V_matchXa_created_b__b_0created_aX` in class `MatchTest`

    - #### get_g_V_matchXa_knows_b__c_knows_bX

          public Traversal<Vertex,Map<String,Vertex>> get_g_V_matchXa_knows_b__c_knows_bX()

      Specified by:
        `get_g_V_matchXa_knows_b__c_knows_bX` in class `MatchTest`

    - #### get_g_V_matchXa_knows_b__b_created_lop__b_matchXb_created_d__d_0created_cX_selectXcX_cX_selectXa_b_cX

          public Traversal<Vertex,Map<String,Vertex>> get_g_V_matchXa_knows_b__b_created_lop__b_matchXb_created_d__d_0created_cX_selectXcX_cX_selectXa_b_cX()

      Specified by:
        `get_g_V_matchXa_knows_b__b_created_lop__b_matchXb_created_d__d_0created_cX_selectXcX_cX_selectXa_b_cX` in class `MatchTest`

    - #### get_g_V_matchXa_hasXname_GarciaX__a_0writtenBy_b__a_0sungBy_bX

          public Traversal<Vertex,Map<String,Vertex>> get_g_V_matchXa_hasXname_GarciaX__a_0writtenBy_b__a_0sungBy_bX()

      Specified by:
        `get_g_V_matchXa_hasXname_GarciaX__a_0writtenBy_b__a_0sungBy_bX` in class `MatchTest`

    - #### get_g_V_matchXa_0sungBy_b__a_0sungBy_c__b_writtenBy_d__c_writtenBy_e__d_hasXname_George_HarisonX__e_hasXname_Bob_MarleyXX

          public Traversal<Vertex,Map<String,Vertex>> get_g_V_matchXa_0sungBy_b__a_0sungBy_c__b_writtenBy_d__c_writtenBy_e__d_hasXname_George_HarisonX__e_hasXname_Bob_MarleyXX()

      Specified by:
        `get_g_V_matchXa_0sungBy_b__a_0sungBy_c__b_writtenBy_d__c_writtenBy_e__d_hasXname_George_HarisonX__e_hasXname_Bob_MarleyXX` in class `MatchTest`

    - #### get_g_V_matchXa_0sungBy_b__a_0writtenBy_c__b_writtenBy_d__c_sungBy_d__d_hasXname_GarciaXX

          public Traversal<Vertex,Map<String,Vertex>> get_g_V_matchXa_0sungBy_b__a_0writtenBy_c__b_writtenBy_d__c_sungBy_d__d_hasXname_GarciaXX()

      Specified by:
        `get_g_V_matchXa_0sungBy_b__a_0writtenBy_c__b_writtenBy_d__c_sungBy_d__d_hasXname_GarciaXX` in class `MatchTest`

    - #### get_g_V_matchXa_0sungBy_b__a_0writtenBy_c__b_writtenBy_dX_whereXc_sungBy_dX_whereXd_hasXname_GarciaXX

          public Traversal<Vertex,Map<String,Vertex>> get_g_V_matchXa_0sungBy_b__a_0writtenBy_c__b_writtenBy_dX_whereXc_sungBy_dX_whereXd_hasXname_GarciaXX()

      Specified by:
        `get_g_V_matchXa_0sungBy_b__a_0writtenBy_c__b_writtenBy_dX_whereXc_sungBy_dX_whereXd_hasXname_GarciaXX` in class `MatchTest`

    - #### get_g_V_matchXa_created_b__b_0created_cX_whereXa_neq_cX_selectXa_cX

          public Traversal<Vertex,Map<String,Vertex>> get_g_V_matchXa_created_b__b_0created_cX_whereXa_neq_cX_selectXa_cX()

      Specified by:
        `get_g_V_matchXa_created_b__b_0created_cX_whereXa_neq_cX_selectXa_cX` in class `MatchTest`

    - #### get_g_V_matchXa_created_b__c_created_bX_selectXa_b_cX_byXnameX

          public Traversal<Vertex,Map<String,String>> get_g_V_matchXa_created_b__c_created_bX_selectXa_b_cX_byXnameX()

      Specified by:
        `get_g_V_matchXa_created_b__c_created_bX_selectXa_b_cX_byXnameX` in class `MatchTest`

    - #### get_g_V_out_asXcX_matchXb_knows_a__c_created_eX_selectXcX

          public Traversal<Vertex,String> get_g_V_out_asXcX_matchXb_knows_a__c_created_eX_selectXcX()

      Specified by:
        `get_g_V_out_asXcX_matchXb_knows_a__c_created_eX_selectXcX` in class `MatchTest`

    - #### get_g_V_matchXa_whereXa_neqXcXX__a_created_b__orXa_knows_vadas__a_0knows_and_a_hasXlabel_personXX__b_0created_c__b_0created_count_isXgtX1XXX_selectXa_b_cX_byXidX

          public Traversal<Vertex,Map<String,Object>> get_g_V_matchXa_whereXa_neqXcXX__a_created_b__orXa_knows_vadas__a_0knows_and_a_hasXlabel_personXX__b_0created_c__b_0created_count_isXgtX1XXX_selectXa_b_cX_byXidX()

      Specified by:
        `get_g_V_matchXa_whereXa_neqXcXX__a_created_b__orXa_knows_vadas__a_0knows_and_a_hasXlabel_personXX__b_0created_c__b_0created_count_isXgtX1XXX_selectXa_b_cX_byXidX` in class `MatchTest`

    - #### get_g_V_asXaX_out_asXbX_matchXa_out_count_c__b_in_count_cX

          public Traversal<Vertex,Map<String,Object>> get_g_V_asXaX_out_asXbX_matchXa_out_count_c__b_in_count_cX()

      Specified by:
        `get_g_V_asXaX_out_asXbX_matchXa_out_count_c__b_in_count_cX` in class `MatchTest`

    - #### get_g_V_matchXa_hasXname_GarciaX__a_0writtenBy_b__b_followedBy_c__c_writtenBy_d__whereXd_neqXaXXX

          public Traversal<Vertex,Map<String,Vertex>> get_g_V_matchXa_hasXname_GarciaX__a_0writtenBy_b__b_followedBy_c__c_writtenBy_d__whereXd_neqXaXXX()

      Specified by:
        `get_g_V_matchXa_hasXname_GarciaX__a_0writtenBy_b__b_followedBy_c__c_writtenBy_d__whereXd_neqXaXXX` in class `MatchTest`

    - #### get_g_V_matchXa_knows_b__andXa_created_c__b_created_c__andXb_created_count_d__a_knows_count_dXXX

          public Traversal<Vertex,Map<String,Object>> get_g_V_matchXa_knows_b__andXa_created_c__b_created_c__andXb_created_count_d__a_knows_count_dXXX()

      Specified by:
        `get_g_V_matchXa_knows_b__andXa_created_c__b_created_c__andXb_created_count_d__a_knows_count_dXXX` in class `MatchTest`

    - #### get_g_V_asXaX_out_asXbX_matchXa_out_count_c__orXa_knows_b__b_in_count_c__and__c_isXgtX2XXXX

          public Traversal<Vertex,Map<String,Object>> get_g_V_asXaX_out_asXbX_matchXa_out_count_c__orXa_knows_b__b_in_count_c__and__c_isXgtX2XXXX()

      Specified by:
        `get_g_V_asXaX_out_asXbX_matchXa_out_count_c__orXa_knows_b__b_in_count_c__and__c_isXgtX2XXXX` in class `MatchTest`

    - #### get_g_V_matchXa__a_out_b__notXa_created_bXX

          public Traversal<Vertex,Map<String,Object>> get_g_V_matchXa__a_out_b__notXa_created_bXX()

      Specified by:
        `get_g_V_matchXa__a_out_b__notXa_created_bXX` in class `MatchTest`

    - #### get_g_V_matchXwhereXandXa_created_b__b_0created_count_isXeqX3XXXX__a_both_b__whereXb_inXX

          public Traversal<Vertex,Map<String,Object>> get_g_V_matchXwhereXandXa_created_b__b_0created_count_isXeqX3XXXX__a_both_b__whereXb_inXX()

      Specified by:
        `get_g_V_matchXwhereXandXa_created_b__b_0created_count_isXeqX3XXXX__a_both_b__whereXb_inXX` in class `MatchTest`

    - #### get_g_V_matchXa__a_both_b__b_both_cX_dedupXa_bX

          public Traversal<Vertex,Map<String,Vertex>> get_g_V_matchXa__a_both_b__b_both_cX_dedupXa_bX()

      Specified by:
        `get_g_V_matchXa__a_both_b__b_both_cX_dedupXa_bX` in class `MatchTest`

    - #### get_g_V_matchXa_both_b__b_both_cX_dedupXa_bX_byXlabelX

          public Traversal<Vertex,Map<String,Vertex>> get_g_V_matchXa_both_b__b_both_cX_dedupXa_bX_byXlabelX()

      Specified by:
        `get_g_V_matchXa_both_b__b_both_cX_dedupXa_bX_byXlabelX` in class `MatchTest`

    - #### get_g_V_hasLabelXsongsX_matchXa_name_b__a_performances_cX_selectXb_cX_count

          public Traversal<Vertex,Long> get_g_V_hasLabelXsongsX_matchXa_name_b__a_performances_cX_selectXb_cX_count()

      Specified by:
        `get_g_V_hasLabelXsongsX_matchXa_name_b__a_performances_cX_selectXb_cX_count` in class `MatchTest`

    - #### get_g_V_matchXa_knows_count_bX_selectXbX

          public Traversal<Vertex,Long> get_g_V_matchXa_knows_count_bX_selectXbX()

      Specified by:
        `get_g_V_matchXa_knows_count_bX_selectXbX` in class `MatchTest`

    - #### get_g_V_matchXa_knows_b__b_created_c__a_created_cX_dedupXa_b_cX_selectXaX_byXnameX

          public Traversal<Vertex,String> get_g_V_matchXa_knows_b__b_created_c__a_created_cX_dedupXa_b_cX_selectXaX_byXnameX()

      Specified by:
        `get_g_V_matchXa_knows_b__b_created_c__a_created_cX_dedupXa_b_cX_selectXaX_byXnameX` in class `MatchTest`

    - #### get_g_V_notXmatchXa_age_b__a_name_cX_whereXb_eqXcXX_selectXaXX_name

          public Traversal<Vertex,String> get_g_V_notXmatchXa_age_b__a_name_cX_whereXb_eqXcXX_selectXaXX_name()

      Specified by:
        `get_g_V_notXmatchXa_age_b__a_name_cX_whereXb_eqXcXX_selectXaXX_name` in class `MatchTest`

    - #### get_g_V_matchXa_followedBy_count_isXgtX10XX_b__a_0followedBy_count_isXgtX10XX_bX_count

          public Traversal<Vertex,Long> get_g_V_matchXa_followedBy_count_isXgtX10XX_b__a_0followedBy_count_isXgtX10XX_bX_count()

      Specified by:
        `get_g_V_matchXa_followedBy_count_isXgtX10XX_b__a_0followedBy_count_isXgtX10XX_bX_count` in class `MatchTest`

    - #### get_g_V_matchXa_hasXsong_name_sunshineX__a_mapX0followedBy_weight_meanX_b__a_0followedBy_c__c_filterXweight_whereXgteXbXXX_outV_dX_selectXdX_byXnameX

          public Traversal<Vertex,String> get_g_V_matchXa_hasXsong_name_sunshineX__a_mapX0followedBy_weight_meanX_b__a_0followedBy_c__c_filterXweight_whereXgteXbXXX_outV_dX_selectXdX_byXnameX()

      Specified by:
        `get_g_V_matchXa_hasXsong_name_sunshineX__a_mapX0followedBy_weight_meanX_b__a_0followedBy_c__c_filterXweight_whereXgteXbXXX_outV_dX_selectXdX_byXnameX` in class `MatchTest`

    - #### get_g_V_matchXa_outEXcreatedX_order_byXweight_descX_limitX1X_inV_b__b_hasXlang_javaXX_selectXa_bX_byXnameX

          public Traversal<Vertex,Map<String,String>> get_g_V_matchXa_outEXcreatedX_order_byXweight_descX_limitX1X_inV_b__b_hasXlang_javaXX_selectXa_bX_byXnameX()

      Specified by:
        `get_g_V_matchXa_outEXcreatedX_order_byXweight_descX_limitX1X_inV_b__b_hasXlang_javaXX_selectXa_bX_byXnameX` in class `MatchTest`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.